#!/bin/sh

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/vnstat.conf.new

echo ""
echo 'Add the /usr/doc/vnstat-1.10/cron/cron.slackware to your crontab'
( cd usr/doc/vnstat-1.10/examples/init.d ; rm -rf centos )
( cd usr/doc/vnstat-1.10/examples/init.d ; ln -sf redhat centos )
( cd usr/doc/vnstat-1.10/examples/init.d ; rm -rf fedora )
( cd usr/doc/vnstat-1.10/examples/init.d ; ln -sf redhat fedora )
( cd usr/doc/vnstat-1.10/examples/init.d ; rm -rf ubuntu )
( cd usr/doc/vnstat-1.10/examples/init.d ; ln -sf debian ubuntu )
